Package org.apache.struts2.factory

# Class StrutsActionProxy

java.lang.Object
org.apache.struts2.DefaultActionProxy
org.apache.struts2.factory.StrutsActionProxy

All Implemented Interfaces:
  `Serializable`, `ActionProxy`

public class StrutsActionProxy extends DefaultActionProxy

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.DefaultActionProxy

  `actionEventListener, actionName, cleanupContext, config, configuration, executeResult, invocation, localizedTextProvider, method, namespace, objectFactory, unknownHandlerManager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsActionProxy(ActionInvocation inv, String namespace, String actionName, String methodName, boolean executeResult, boolean cleanupContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute()`
  Execute this ActionProxy.
  `protected String`
  `getErrorMessage()`
  `protected void`
  `prepare()`

  ### Methods inherited from class org.apache.struts2.DefaultActionProxy

  `getAction, getActionName, getConfig, getExecuteResult, getInvocation, getMethod, getNamespace, isMethodSpecified, prepareNotAllowedErrorMessage, setActionEventListener, setConfiguration, setExecuteResult, setLocalizedTextProvider, setObjectFactory, setUnknownHandler`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrutsActionProxy

    public StrutsActionProxy(ActionInvocation inv, String namespace, String actionName, String methodName, boolean executeResult, boolean cleanupContext)

- ## Method Details

  - ### execute

    public String execute() throws Exception
    Description copied from interface: `ActionProxy`
    Execute this ActionProxy. This will set the ActionContext from the ActionInvocation into the ActionContext ThreadLocal before invoking the ActionInvocation, then set the old ActionContext back into the ThreadLocal.
    Specified by:
      `execute` in interface `ActionProxy`
    Overrides:
      `execute` in class `DefaultActionProxy`
    Returns:
      the result code returned from executing the ActionInvocation
    Throws:
      `Exception` - can be thrown.
    See Also:
      - `ActionInvocation`

  - ### prepare

    protected void prepare()
    Overrides:
      `prepare` in class `DefaultActionProxy`

  - ### getErrorMessage

    protected String getErrorMessage()
    Overrides:
      `getErrorMessage` in class `DefaultActionProxy`